%define name gpass
%define version 0.5.0
%define release 1mdk

Name: %name
Summary: A password manager for the GNOME desktop
Version: %version
Release: %release
License: GPL
Group: Databases
Source: http://projects.netlab.jp/gpass/release/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: gtk2 >= 2.4.0
Requires: libgnomeui2_0 >= 2.0.0
Requires: libmhash2
BuildRequires: libgnomeui2_0-devel, libmhash2-devel, libglade2.0_0-devel 
BuildRequires: libmcrypt-devel

%description
The GNOME Password Manager - GPass for short - is a simple application,
written for the GNOME 2 desktop, that lets you manage a collection of
passwords. The password collection is stored in an encrypted file,
protected by a master-password.

%prep
%setup -q

%build
%configure
make 

%install
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall PIXMAPS_DIR=$RPM_BUILD_ROOT/usr/share/pixmaps
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
%find_lang %name

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL README NEWS TODO
%{_bindir}/*
%{_datadir}/gpass/*
%{_datadir}/applications/%{name}.desktop
%{_sysconfdir}/gconf/schemas/gpass.schemas
%{_mandir}/man1/gpass*
%{_datadir}/pixmaps/gpass-icon.png

%changelog
* Thu Aug 18 2005 Erwan Velu <velu@seanodes.com> 0.5.0-1mdk
- Initial mdk release

* Fri Aug 05 2005 Kouji TAKAO <kouji@netlab.jp> 0.5.0-1
- New upstream version.

* Sun Jul 31 2005 Kouji TAKAO <kouji@netlab.jp> 0.5.0-0.rc3.2
- Modified source URL and requires.
- Merged patch to upstream.

* Sun Jul 31 2005 Marc Deslauriers <marcdeslauriers@videotron.ca> 0.5.0-0.rc3.1
- Updated to 0.5.0rc3
- Updated desktop file patch

* Sat Sep 18 2004 Marc Deslauriers <marcdeslauriers@videotron.ca> 0.4.4-0.md.1
- Created new spec file
- Added patch to have a desktop icon
